Skip to main content
PATCH
Update Account (Banking Connectivity)
Update an existing Banking Connectivity account. Only include the fields you want to change.

Authorizations

public-api-key
string
header
required
private-secret-key
string
header
required

Path Parameters

account_id
string
required

The unique identifier of the account. Found on the Yuno dashboard (UUID, 36 chars).

Body

application/json
account_id
string
required

The unique identifier of the merchant's Yuno account (UUID, 36 characters).

Example:

"550e8400-e29b-41d4-a716-446655440000"

account_type
enum<string>

The updated account type.

Available options:
CHECKING,
SAVINGS,
INVESTMENT
Example:

"CHECKING"

Response

OK

id
string

The unique identifier of the Banking Connectivity account (prefixed acct_).

Example:

"acct_aa0e8400-e29b-41d4-a716-446655440000"

entity_id
string

The id of the entity associated with this account.

Example:

"ent_660e8400-e29b-41d4-a716-446655440000"

onboarding_id
string

The id of the onboarding used to create this account.

Example:

"onb_990e8400-e29b-41d4-a716-446655440000"

account_id
string

The merchant's Yuno account identifier.

Example:

"550e8400-e29b-41d4-a716-446655440000"

provider
object
account_type
enum<string>
Available options:
CHECKING,
SAVINGS,
INVESTMENT
Example:

"CHECKING"

status
enum<string>
Available options:
ACTIVE,
PENDING,
INACTIVE
Example:

"ACTIVE"

account_number
string
Example:

"1234567890"

routing_number
string | null
Example:

"123456789"

iban
string | null
Example:

null

currency
string
Example:

"USD"

balance
object
account_details
object
payment_rails
object
supports_book_transfers
boolean
Example:

true

created_at
string
Example:

"2026-02-01T10:10:00Z"

updated_at
string
Example:

"2026-02-01T12:00:00Z"